Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 194592 - [70cat] Change Method Parameters doesn't allow Removing and Adding a same-named parameter
[70cat] Change Method Parameters doesn't allow Removing and Adding a same-nam...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
7.0
PC Windows XP
: P4 (vote)
: TBD
Assigned To: Ralph Ruijs
issues@java
:
Depends on:
Blocks: 65780
  Show dependency treegraph
 
Reported: 2011-01-21 17:59 UTC by matthies
Modified: 2011-05-11 19:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
suggested fix (2.23 KB, patch)
2011-05-09 12:06 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthies 2011-01-21 17:59:42 UTC
When invoking Change Method Parameters on a method with a parameter named "x", removing that parameter and then adding a parameter also named "x" show the error message "Name "x" is already used as a name of local variable" although the original "x" had been removed.
Comment 1 Ralph Ruijs 2011-05-09 12:06:03 UTC
Created attachment 108193 [details]
suggested fix
Comment 2 Jan Becicka 2011-05-09 12:35:15 UTC
Patch looks good.
Comment 3 Ralph Ruijs 2011-05-09 12:56:35 UTC
Changeset: 5e4f1063aaf0
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2011-05-09 14:43
Message:   
Issue #194592 - [70cat] Change Method Parameters doesn't allow Removing and Adding a same-named parameter
Comment 4 Quality Engineering 2011-05-11 19:40:33 UTC
Integrated into 'main-golden', will be available in build *201105111436* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5e4f1063aaf0
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #194592 - [70cat] Change Method Parameters doesn't allow Removing and Adding a same-named parameter


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo